getdns_pretty_print_dict(3)

NAME
getdns_pretty_print_dict -- return a string representation of a getdns dict

LIBRARY
DNS Resolver library (libgetdns, -lgetdns)

SYNOPSIS
#include <getdns.h> getdns_list *
getdns_pretty_print_dict (const getdns_dict *this_dict)

DESCRIPTION

Helper function that returns a string of nicely formatted data including all of the elements in the dict.

this_dict the dictionary to render as a string

RETURN VALUES
Returns a string that the calling function must free (it is allocated using the system allocator not the user defined allocator). Returns NULL if there is an error.

EXAMPLES
TBD

SEE ALSO
getdns_dict(3) libgetdns(3)